### Method

# Manette Event get_hat

#### Declaration [src]

    gboolean
    manette_event_get_hat (
      const ManetteEvent* self,
      guint16* axis,
      gint8* value
    )

#### Description [src]

Gets the hat of `self`, if any.

#### Parameters

`axis`

  Type: `guint16*`

  Return location for the hat.

  The argument will be set by the function.

`value`

  Type: `gint8*`

  Return location for the hat value.

  The argument will be set by the function.

#### Return value

Type: `gboolean`

Whether the hat was retrieved.